<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy RobotImage.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_robot_image_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">RobotImage.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_robot_image_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#include &quot;<a class="code" href="_robot_image_8hpp.html">RobotImage.hpp</a>&quot;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="class_robot_image.html#afbfa9b57df3c98be0c0c750d0003bc68">   16</a></span><a class="code hl_function" href="class_robot_image.html#afbfa9b57df3c98be0c0c750d0003bc68">RobotImage::RobotImage</a>(QWidget *parent) : QWidget(parent) { }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="class_robot_image.html#a5a0e32adc5fbc1bfc18f27fdf73c7b09">   29</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_robot_image.html#a5a0e32adc5fbc1bfc18f27fdf73c7b09">RobotImage::paintEvent</a>(QPaintEvent *event)</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>{</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    QPainter drawer(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    QImage robot_image(<a class="code hl_define" href="_robot_image_8hpp.html#a017d6ce632ee1f531f9dbb5b55ee0492">IMAGE</a>);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    robot_image = robot_image.scaled(width(), height(), Qt::IgnoreAspectRatio, Qt::FastTransformation);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    drawer.drawImage(0, 0,robot_image);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>}</div>
<div class="ttc" id="a_robot_image_8hpp_html"><div class="ttname"><a href="_robot_image_8hpp.html">RobotImage.hpp</a></div><div class="ttdoc">Definicja klasy RobotImage.</div></div>
<div class="ttc" id="a_robot_image_8hpp_html_a017d6ce632ee1f531f9dbb5b55ee0492"><div class="ttname"><a href="_robot_image_8hpp.html#a017d6ce632ee1f531f9dbb5b55ee0492">IMAGE</a></div><div class="ttdeci">#define IMAGE</div><div class="ttdef"><b>Definition</b> <a href="_robot_image_8hpp_source.html#l00017">RobotImage.hpp:17</a></div></div>
<div class="ttc" id="aclass_robot_image_html_a5a0e32adc5fbc1bfc18f27fdf73c7b09"><div class="ttname"><a href="class_robot_image.html#a5a0e32adc5fbc1bfc18f27fdf73c7b09">RobotImage::paintEvent</a></div><div class="ttdeci">virtual void paintEvent(QPaintEvent *event) override</div><div class="ttdoc">Rysuje obraz robota.</div><div class="ttdef"><b>Definition</b> <a href="_robot_image_8cpp_source.html#l00029">RobotImage.cpp:29</a></div></div>
<div class="ttc" id="aclass_robot_image_html_afbfa9b57df3c98be0c0c750d0003bc68"><div class="ttname"><a href="class_robot_image.html#afbfa9b57df3c98be0c0c750d0003bc68">RobotImage::RobotImage</a></div><div class="ttdeci">RobotImage(QWidget *parent=nullptr)</div><div class="ttdoc">Inicjalizuje obiekt klasy RobotImage.</div><div class="ttdef"><b>Definition</b> <a href="_robot_image_8cpp_source.html#l00016">RobotImage.cpp:16</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="_robot_image_8cpp.html">RobotImage.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
